/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import org.apache.ws.addressing.EndpointReference;
import org.apache.ws.resource.IllegalResourceTypeException;
import org.apache.ws.resource.impl.AbstractResourceHome;
import org.apache.ws.resource.NamespaceVersionHolder;
import org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03.MimeMediaTypeType;

import javax.xml.namespace.QName;
import java.io.Serializable;
import java.util.Map;

/**
 * Home for JobPort WS-Resources.
 */
public class JobPortHome
        extends AbstractResourceHome
        implements Serializable
{

    private static final String SERVICE_NAME = "JobPort";

    /**
     * A NamespaceVerionHolder which maintains the QNames of Spec Wsdls
     */
    public static final org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl SPEC_NAMESPACE_SET = new org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl();

    private long m_jobId;

    /**
     * DOCUMENT_ME
     *
     * @param jobName         DOCUMENT_ME
     * @param origUserName    DOCUMENT_ME
     * @param documentFormat  DOCUMENT_ME
     * @param base64Data      DOCUMENT_ME
     * @param printerResource DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public JobPortResource createJob(
                                      String jobName,
                                      String origUserName,
                                      MimeMediaTypeType.Enum documentFormat,
                                      byte[] base64Data,
                                      PrinterPortResource printerResource )
    {
        ++m_jobId;
        String jobId = "Job" + m_jobId;
        EndpointReference jobEpr = getEndpointReference( jobId );
        JobPortResource job = new JobPortResource( jobEpr, jobId, jobName, printerResource, origUserName );
        job.init();
        try
        {
            add( job );
        }
        catch ( IllegalResourceTypeException e )
        {
            throw new RuntimeException( e );
        }
        return job;
    }

    /**
     * DOCUMENT_ME
     *
     * @param jobName         DOCUMENT_ME
     * @param printerResource DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public JobPortResource createJob(
                                      String jobName,
                                      PrinterPortResource printerResource )
    {
        ++m_jobId;
        String jobId = "Job" + m_jobId;
        EndpointReference jobEpr = getEndpointReference( jobId );
        JobPortResource job = new JobPortResource( jobEpr, jobId, jobName, printerResource );
        job.init();
        try
        {
            add( job );
        }
        catch ( IllegalResourceTypeException e )
        {
            throw new RuntimeException( e );
        }
        return job;
    }

    public QName getServiceName()
    {
        return new QName( JobPortPropertyQNames.JOB_PRINTER_REFERENCE.getNamespaceURI(), SERVICE_NAME );
    }

    public QName getPortType()
    {
        return new QName( JobPortPropertyQNames.JOB_PRINTER_REFERENCE.getNamespaceURI(), "Job" );
    }

    public String getServicePortName()
    {
        return SERVICE_NAME;
    }

    public NamespaceVersionHolder getNamespaceSet()
    {
        return SPEC_NAMESPACE_SET;
    }

    /**
     * Map containing all SushiResource instances - this map <em>must</em> be static for
     * compatibility with certain JNDI providers.
     */
    private static Map s_resources;

    /**
     * Returns a map of all SushiResource instances. Used by the {@link AbstractResourceHome}
     * superclass.
     */
    protected synchronized final Map getResourceMap()
    {
        if ( s_resources == null )
        {
            s_resources = AbstractResourceHome.createResourceMap( m_resourceIsPersistent );
        }
        return s_resources;
    }

}