/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;


/**
 * An interface for exposing resource creation events.
 *
 * @author Sal Campana
 */
public interface ResourceCreation
{
   /**
    * Adds a listener for ResourceCreationEvents
    *
    * @param listener
    */
   void addResourceCreationListener( ResourceCreationListener listener );

   /**
    * Removes a listener for ResourceCreationEvents
    *
    * @param listener
    * @return  true if the listener was removed, else false
    */
   boolean removeResourceCreationListener( ResourceCreationListener listener );
}