/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;

import org.apache.ws.addressing.EndpointReference;

/**
 * A Resource Destruction Event which contains the EndpointReference for
 * the Resource which was destroyed.
 *
 * @author Sal Campana
 */
public class ResourceDestructionEvent
   implements ResourceEvent
{
   /** DOCUMENT_ME */
   EndpointReference m_epr;

   /** DOCUMENT_ME */
   Object           m_resourceId;
   private Resource m_resource;

   /**
    * Creates a new {@link ResourceDestructionEvent} object.
    *
    * @param resource DOCUMENT_ME
    */
   public ResourceDestructionEvent( Resource resource )
   {
      m_resource = resource;
   }

   /**
    * Returns the Resource of the resource the event is about.
    *
    * @return The resource.
    */
   public Resource getResource(  )
   {
      return m_resource;
   }
}