/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.lifetime;

import java.util.Calendar;

/**
 * Interface describing a TerminationNotification of a resource.
 *
 * @author Sal Campana
 */
public interface ResourceTerminationEvent
{
   /**
    * Returns the reason for temrination.
    *
    * minOccurs="0" maxOccurs="1"
    *
    * @return The reason for termination.
    */
   Object getReason(  );

   /**
    * Returns the termination time.
    *
    * minOccurs="1" maxOccurs="1" nillable="true"
    *
    * @return The termination time represented as a Calendar instance.
    */
   Calendar getTerminationTime(  );
}