/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.v2004_11.impl;

import org.apache.ws.addressing.v2004_08.AddressingConstants;
import org.apache.ws.resource.NamespaceVersionHolder;
import org.apache.ws.resource.faults.v2004_11.FaultsConstants;
import org.apache.ws.resource.lifetime.v2004_11.ResourceLifetimeConstants;
import org.apache.ws.resource.metadataexchange.v2004_09.MetadataExchangeConstants;
import org.apache.ws.resource.properties.v2004_11.ResourcePropertiesConstants;
import org.apache.ws.resource.servicegroup.v2004_11.ServiceGroupConstants;

/**
 * The set of namespace URIs associated with the 2004/11 draft of WSRF.
 */
public class NamespaceVersionHolderImpl
   implements NamespaceVersionHolder
{
   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getAddressingNamespace(  )
   {
      return AddressingConstants.NSURI_ADDRESSING_SCHEMA;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getBaseFaultsXsdNamespace(  )
   {
      return FaultsConstants.NSURI_BASEFAULTS_SCHEMA;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getLifetimeXsdNamespace(  )
   {
      return ResourceLifetimeConstants.NSURI_WSRL_SCHEMA;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getMetadataExchangeNamespace(  )
   {
      return MetadataExchangeConstants.NSURI;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getPropertiesXsdNamespace(  )
   {
      return ResourcePropertiesConstants.NSURI_WSRP_SCHEMA;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getServiceGroupsXsdNamespace(  )
   {
      return ServiceGroupConstants.NSURI_WSSG_SCHEMA;
   }
}