/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.spring;

import org.apache.ws.resource.WsrfRuntime;
import org.springframework.beans.factory.ListableBeanFactory;
import javax.naming.Context;
import javax.naming.Name;
import javax.naming.RefAddr;
import javax.naming.Reference;
import javax.naming.spi.ObjectFactory;
import java.util.Hashtable;

/**
 * A JNDI object factory for retrieving beans from the WSRF Spring bean factory.
 */
public class SpringBeanObjectFactory
   implements ObjectFactory
{
   /** DOCUMENT_ME */
   public static final String ADDR_TYPE_SPRING_BEAN_ID = "SPRING_BEAN_ID";

   /**
    * DOCUMENT_ME
    *
    * @param obj DOCUMENT_ME
    * @param name DOCUMENT_ME
    * @param nameCtx DOCUMENT_ME
    * @param environment DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public Object getObjectInstance( Object    obj,
                                    Name      name,
                                    Context   nameCtx,
                                    Hashtable environment )
   throws Exception
   {
      Object instance = null;
      if ( obj instanceof Reference )
      {
         Reference           ref               = (Reference) obj;
         RefAddr             refAddr           = ref.get( ADDR_TYPE_SPRING_BEAN_ID );
         String              springBeanId      = (String) refAddr.getContent(  );
         ListableBeanFactory springBeanFactory = WsrfRuntime.getRuntime(  ).getBeanFactory(  );
         instance = springBeanFactory.getBean( springBeanId );
      }

      return instance;
   }
}