/*=============================================================================*
 *  Copyright 2005 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package jacc;

import javax.security.jacc.PolicyContext;
import javax.security.jacc.PolicyContextException;
import javax.servlet.http.HttpServletRequest;
import java.security.CodeSource;
import java.security.Permission;
import java.security.PermissionCollection;
import java.security.Permissions;
import java.security.Policy;
import java.security.ProtectionDomain;

/**
 * TODO
 */
public class TestPolicy extends Policy
{

    public TestPolicy()
    {
        System.out.println( "***** In TestPolicy() constructor *****" );
    }

    public void refresh()
    {
        return;
    }

    public PermissionCollection getPermissions( CodeSource codesource )
    {
        return new Permissions();
    }

    public boolean implies( ProtectionDomain domain, Permission perm )
    {
        System.out.println( "######################< in TestPolicy#implies() >#####################\n" );
        if ( PolicyContext.getHandlerKeys().contains( "javax.servlet.http.HttpServletRequest" ) )
        {
            try
            {
                HttpServletRequest servletRequest = (HttpServletRequest) PolicyContext.getContext(
                        "javax.servlet.http.HttpServletRequest" );
                System.out.println( "Servlet request: " + servletRequest );
            }
            catch ( PolicyContextException pce )
            {
                pce.printStackTrace();
            }
        }
        return true;
    }

}
