/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;

import junit.framework.TestCase;
import org.apache.naming.java.javaURLContextFactory;
import javax.naming.Context;

/**
 * A test case for {@link WsrfRuntime}.
 *
 * @author Ian Springer (ian DOT springer AT hp DOT com)
 */
public class WsrfRuntimeTestCase
   extends TestCase
{
   static
   {
      initJndiProvider(  );
   }

   /**
    * DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public void testGetRuntime(  )
   throws Exception
   {
      WsrfRuntime runtime = WsrfRuntime.getRuntime(  );
      assertNotNull( runtime );
      WsrfRuntime runtime2 = WsrfRuntime.getRuntime(  );
      assertTrue( runtime == runtime2 );
   }

   /**
    * DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public void testInit(  )
   throws Exception
   {
      /*WsrfRuntime runtime = WsrfRuntime.getRuntime();
         Properties initProps = new Properties();
         initProps.setProperty( WsrfRuntime.JNDI_CONFIG_DIALECT, WsrfRuntime.CONFIG_DIALECT_SPRING_BEANS );
         initProps.setProperty( WsrfRuntime.JNDI_CONFIG_LOCATION, "spring-jndi-config.xml" );
         runtime.init( initProps );
         InitialContext initialContext = new InitialContext( );
         Object obj = initialContext.lookup( "wsrf/resource/filesystem" );
         assertNotNull( obj );
         assertTrue( obj instanceof ResourceHome );
         ResourceHome home = (ResourceHome) obj;*/
   }

   private static void initJndiProvider(  )
   {
      System.setProperty( Context.INITIAL_CONTEXT_FACTORY,
                          javaURLContextFactory.class.getName(  ) );
      System.setProperty( Context.URL_PKG_PREFIXES, "org.apache.commons.naming" );
   }
}