/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties;

import javax.xml.namespace.QName;

/**
 * Constants for QNames of elements defined in SushiProperties.xsd.
 *
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public interface SushiPropertyQNames
{
   /** DOCUMENT_ME */
   QName OPEN_SUSHI_PROPERTIES =
      new QName( "http://ws.apache.org/resource/properties/test/sushi", "OpenSushiProperties", "sushi" );

   /** DOCUMENT_ME */
   QName CLOSED_SUSHI_PROPERTIES =
      new QName( "http://ws.apache.org/resource/properties/test/sushi", "ClosedSushiProperties", "sushi" );

   /** DOCUMENT_ME */
   QName AKAGI = new QName( "http://ws.apache.org/resource/properties/test/sushi", "Akagi", "sushi" );

   /** DOCUMENT_ME */
   QName HAMACHI = new QName( "http://ws.apache.org/resource/properties/test/sushi", "Hamachi", "sushi" );

   /** DOCUMENT_ME */
   QName EBI = new QName( "http://ws.apache.org/resource/properties/test/sushi", "Ebi", "sushi" );

   /** DOCUMENT_ME */
   QName IKA = new QName( "http://ws.apache.org/resource/properties/test/sushi", "Ika", "sushi" );

   /** DOCUMENT_ME */
   QName OHTORO = new QName( "http://ws.apache.org/resource/properties/test/sushi", "Ohtoro", "sushi" );

   /** DOCUMENT_ME */
   QName FUGU = new QName( "http://ws.apache.org/resource/properties/test/sushi/blowfish", "Fugu", "fu" );

   /** DOCUMENT_ME */
   QName UNI = new QName( "http://ws.apache.org/resource/properties/test/sushi", "Uni", "sushi" );
}