/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties;

import org.apache.ws.resource.Resource;
import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.ResourceException;
import org.apache.ws.resource.ResourceHome;
import javax.xml.rpc.JAXRPCException;
import javax.xml.soap.MessageFactory;
import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPMessage;
import java.net.MalformedURLException;
import java.net.URI;
import java.net.URL;
import java.util.Iterator;

/**
 * Resource context that serves as part of the unit test fixture.
 *
 * @author Sal Campana
 * @author Ian Springer
 */
public class SushiResourceContext
   implements ResourceContext
{
   private static final String SERVICE_NAME = "sushi";

   /** DOCUMENT_ME */
   public static final String ID = "1212";

   /** DOCUMENT_ME */
   ResourceHome     m_home;
   private Resource m_resource;

   /**
    * Creates a new {@link SushiResourceContext} object.
    */
   public SushiResourceContext(  )
   throws Exception
   {
      this( true );
   }

   /**
    * Creates a new {@link SushiResourceContext} object.
    */
   public SushiResourceContext( boolean isOpenContent )
   throws Exception
   {
      m_home        = new SushiHome( isOpenContent );
      m_resource    = m_home.find( SushiResourceContext.ID );
   }

   /**
    * Gets the base URL from which service urls are based.
    *
    * @return The String representation of the base url
    */
   public String getBaseURL(  )
   {
      return null;
   }

   /**
    * DOCUMENT_ME
    *
    * @param name DOCUMENT_ME
    * @param value DOCUMENT_ME
    */
   public void setProperty( String name,
                            Object value )
   {
   }

   /**
    * DOCUMENT_ME
    *
    * @param name DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Object getProperty( String name )
   {
      return null;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Iterator getPropertyNames(  )
   {
      return null;
   }

   /**
    * Returns the value of the WS-Addressing Action header
    *
    * @return WS-Addressing Action Header value
    */
   public String getRequestAction(  )
   {
      return null;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    *
    * @throws ResourceException DOCUMENT_ME
    */
   public Resource getResource(  )
   throws ResourceException
   {
      return m_resource;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public ResourceHome getResourceHome(  )
   {
      return m_home;
   }

   /**
    * DOCUMENT_ME
    *
    * @param action DOCUMENT_ME
    */
   public void setResponseAction( URI action )
   {
      return;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public SOAPMessage getSOAPMessage(  )
   {
      try
      {
         return MessageFactory.newInstance(  ).createMessage(  );
      }
      catch ( SOAPException soape )
      {
         throw new JAXRPCException( soape );
      }
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getServiceName(  )
   {
      return SERVICE_NAME;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public URL getServiceURL(  )
   {
      try
      {
         return new URL( "http://localhost:8080/muse/" + SERVICE_NAME );
      }
      catch ( MalformedURLException murle )
      {
         murle.printStackTrace(  );
      }

      return null;
   }

   /**
    * DOCUMENT_ME
    *
    * @param name DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public boolean containsProperty( String name )
   {
      return false;
   }

   /**
    * DOCUMENT_ME
    *
    * @param name DOCUMENT_ME
    */
   public void removeProperty( String name )
   {
   }
}